import request from '@/utils/request';
export default {
  pageList(data = {}) {
    return request({
      url: '/system/employee/list',
      method: 'get',
      params: data
    });
  },
  getById(id) {
    return request({
      url: `/system/employee/${id}`,
      method: 'get'
    });
  },
  add(data = {}) {
    return request({
      url: '/system/employee',
      method: 'post',
      data
    });
  },
  update(data = {}) {
    return request({
      url: '/system/employee',
      method: 'put',
      data
    });
  },
  delete(id) {
    return request({
      url: `/system/employee/${id}`,
      method: 'delete'
    });
  },
  getEmployee() {
    return request({
      url: '/system/employee/getEmployees',
      method: 'get'
    });
  },

  getSignPlace(userId) {
    return request({
      url: '/system/employee/signPlace/' + userId,
      method: 'get'
    });
  }
};
